#include <iostream>
#include <string>

#include "project.h"

int main(int argc, char *argv[]) {
    std::string firstArg;
    if (argc > 1)
        firstArg = argv[1];
    else
        firstArg = "./";

    Project root(firstArg);
    bool success = root.read();

    if (!success) {
        Project::Log log(root.getLog());
        for (const Project::LogMessage& msg : log)
            std::cout << msg << std::endl;

        return -1;
    } else {
        std::cout << "successfully parsed project " << root.getName() << std::endl;
    }


    return 0;
}
